package domain


type AlibabaWdkopenOrderGetCombineItem struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        商品名称     */
    AuctionTitle  *string `json:"auction_title,omitempty" `

    /*
        商品条码     */
    BarCode  *string `json:"bar_code,omitempty" `

    /*
        销售单位购买数量     */
    BuyAmountSale  *int64 `json:"buy_amount_sale,omitempty" `

    /*
        库存单位购买数量     */
    BuyAmountStock  *string `json:"buy_amount_stock,omitempty" `

    /*
        销售单位     */
    SaleUnit  *string `json:"sale_unit,omitempty" `

    /*
        库存单位     */
    StockUnit  *string `json:"stock_unit,omitempty" `

    /*
        商品价格     */
    AuctionPrice  *int64 `json:"auction_price,omitempty" `

}

func (s *AlibabaWdkopenOrderGetCombineItem) SetSkuCode(v string) *AlibabaWdkopenOrderGetCombineItem {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkopenOrderGetCombineItem) SetAuctionTitle(v string) *AlibabaWdkopenOrderGetCombineItem {
    s.AuctionTitle = &v
    return s
}
func (s *AlibabaWdkopenOrderGetCombineItem) SetBarCode(v string) *AlibabaWdkopenOrderGetCombineItem {
    s.BarCode = &v
    return s
}
func (s *AlibabaWdkopenOrderGetCombineItem) SetBuyAmountSale(v int64) *AlibabaWdkopenOrderGetCombineItem {
    s.BuyAmountSale = &v
    return s
}
func (s *AlibabaWdkopenOrderGetCombineItem) SetBuyAmountStock(v string) *AlibabaWdkopenOrderGetCombineItem {
    s.BuyAmountStock = &v
    return s
}
func (s *AlibabaWdkopenOrderGetCombineItem) SetSaleUnit(v string) *AlibabaWdkopenOrderGetCombineItem {
    s.SaleUnit = &v
    return s
}
func (s *AlibabaWdkopenOrderGetCombineItem) SetStockUnit(v string) *AlibabaWdkopenOrderGetCombineItem {
    s.StockUnit = &v
    return s
}
func (s *AlibabaWdkopenOrderGetCombineItem) SetAuctionPrice(v int64) *AlibabaWdkopenOrderGetCombineItem {
    s.AuctionPrice = &v
    return s
}
